import { Host, h } from "@stencil/core";
export class ContainerStack {
    constructor() {
        this.maxWidth = 1024;
        this.paddingTop = 0;
        this.paddingBottom = this.paddingTop;
    }
    render() {
        return (h(Host, { key: 'baddc3209c7141447a661a37390cb9f2e42b42d5', style: {
                maxWidth: `${this.maxWidth}px`,
                paddingTop: `${this.paddingTop}px`,
                paddingBottom: `${this.paddingBottom}px`
            } }, h("slot", { key: '3ad7f9a5919fe9870f4b4a2ba3b3172579ced17b' })));
    }
    static get is() { return "cradlepoint-container-stack"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["container-stack.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["container-stack.css"]
        };
    }
    static get properties() {
        return {
            "maxWidth": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "max-width",
                "reflect": false,
                "defaultValue": "1024"
            },
            "paddingTop": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "padding-top",
                "reflect": false,
                "defaultValue": "0"
            },
            "paddingBottom": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "padding-bottom",
                "reflect": false,
                "defaultValue": "this.paddingTop"
            }
        };
    }
}
//# sourceMappingURL=container-stack.js.map
