import { h } from "@stencil/core";
export class Cradlepoint5050 {
    constructor() {
        this.image = undefined;
        this.imagePosition = undefined;
        this.backgroundColor = undefined;
        this.height = 'auto';
    }
    render() {
        return (h("cradlepoint-container", { key: '9c4efc247176bffb029d01b86bf8c640e0927aba', "background-color": this.backgroundColor, style: {
                minHeight: this.height
            }, columns: 'repeat(2, 1fr)' }, h("div", { key: 'e432645b494db2748b63964d91134884b0d7e01a', class: `image-container ${(this.imagePosition == 'right') && this.imagePosition}` }, h("img", { key: '3d6569c7a8ab2d93eaece250f3ed94636a207241', src: this.image && this.image })), h("div", { key: '3e0f9e01441886e1a8c6fc13dd9262cd5f7b831a', class: "content-container" }, h("slot", { key: 'df4dbe69742c5a1465b6aedbf86452791cb4e19c' }))));
    }
    static get is() { return "cradlepoint-5050"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["cradlepoint-5050.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["cradlepoint-5050.css"]
        };
    }
    static get properties() {
        return {
            "image": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "image",
                "reflect": false
            },
            "imagePosition": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "image-position",
                "reflect": false
            },
            "backgroundColor": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-color",
                "reflect": false
            },
            "height": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "height",
                "reflect": false,
                "defaultValue": "'auto'"
            }
        };
    }
}
//# sourceMappingURL=cradlepoint-5050.js.map
