import { Host, h } from "@stencil/core";
export class CtaWithHoverBg {
    constructor() {
        this.link = undefined;
        this.newTab = false;
        this.icon = 'https://img.cradlepoint.com/auto-mapping-folder/2023/08/blog-cta-icon@2x.png';
        this.text = 'Learn more ways a business can incorporate failover into their operations in our Failover White Paper.';
        this.arrow = 'https://img.cradlepoint.com/auto-mapping-folder/2023/08/blog-cta-arrow@2x.png';
    }
    render() {
        return (h(Host, { key: '7a5bc1e8fc080f87c1b6af39a2a0d1ed79cc9b16' }, h("a", { key: 'ccfc229db0ab794552c4b098e9a420a512c17480', href: this.link ? this.link : '#', target: this.newTab ? '_blank' : '_self' }, h("img", { key: '79f1c803e51cca2c96a10d090ab089334476f918', class: "icon", src: this.icon }), h("div", { key: 'c02449c151035c04a1a0850f6596afffe5062f00', class: "content" }, h("h2", { key: 'fffad9f594ef270465113a1c60c7510c5ebb789f' }, this.text)), h("img", { key: 'e0c17d42fb4e2d1546c56660756fdd0ad0fcedf3', class: "arrow", src: this.arrow, alt: "cta arrow" }))));
    }
    static get is() { return "cradlepoint-cta-with-hover-bg"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["cta-with-hover-bg.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["cta-with-hover-bg.css"]
        };
    }
    static get properties() {
        return {
            "link": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "link",
                "reflect": false
            },
            "newTab": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "new-tab",
                "reflect": false,
                "defaultValue": "false"
            },
            "icon": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "icon",
                "reflect": false,
                "defaultValue": "'https://img.cradlepoint.com/auto-mapping-folder/2023/08/blog-cta-icon@2x.png'"
            },
            "text": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "text",
                "reflect": false,
                "defaultValue": "'Learn more ways a business can incorporate failover into their operations in our Failover White Paper.'"
            },
            "arrow": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "arrow",
                "reflect": false,
                "defaultValue": "'https://img.cradlepoint.com/auto-mapping-folder/2023/08/blog-cta-arrow@2x.png'"
            }
        };
    }
}
//# sourceMappingURL=cta-with-hover-bg.js.map
