import { Host, h } from "@stencil/core";
export class HeroA {
    constructor() {
        this.titleYellow = undefined;
        this.titleWhite = undefined;
        this.titleMaxWidth = '800px';
        this.textAlign = 'left';
        this.backgroundImage = undefined;
        this.backgroundPosition = 'right';
        this.backgroundSize = 'cover';
        this.paddingTop = '0';
        this.height = '640px';
    }
    render() {
        return (h(Host, { key: 'aaaa22446093a6ac62953a3ca808835d3f1e8b6d', style: {
                alignItems: (this.textAlign == 'left') ? 'flex-start' : (this.textAlign == 'right') ? 'flex-end' : 'center',
                minHeight: this.height,
                backgroundImage: `url(${this.backgroundImage})`,
                backgroundPosition: this.backgroundPosition,
                backgroundSize: this.backgroundSize,
            } }, h("div", { key: '3efedca710e5a89bc5e4686c8a09926e5f0ee95d', class: "title-container", style: {
                maxWidth: this.titleMaxWidth,
                paddingTop: this.paddingTop,
                textAlign: this.textAlign,
            } }, h("slot", { key: '49c25f036d1cadd44eab42d9bae5a94c987c1960', name: "sub-title" }), h("slot", { key: 'af4122f51b0bf061d64a18f8b1f4df3b272038bb', name: "title" })), h("slot", { key: '93bb98852ef19bea697df7c465fe08aa04bc3f1d', name: "content-container" })));
    }
    static get is() { return "cradlepoint-hero-a"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["hero-a.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["hero-a.css"]
        };
    }
    static get properties() {
        return {
            "titleYellow": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "title-yellow",
                "reflect": false
            },
            "titleWhite": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "title-white",
                "reflect": false
            },
            "titleMaxWidth": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "title-max-width",
                "reflect": false,
                "defaultValue": "'800px'"
            },
            "textAlign": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "text-align",
                "reflect": false,
                "defaultValue": "'left'"
            },
            "backgroundImage": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-image",
                "reflect": false
            },
            "backgroundPosition": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-position",
                "reflect": false,
                "defaultValue": "'right'"
            },
            "backgroundSize": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-size",
                "reflect": false,
                "defaultValue": "'cover'"
            },
            "paddingTop": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "padding-top",
                "reflect": false,
                "defaultValue": "'0'"
            },
            "height": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "height",
                "reflect": false,
                "defaultValue": "'640px'"
            }
        };
    }
}
//# sourceMappingURL=hero-a.js.map
