export declare class NavMain {
    host: HTMLElement;
    domain: string;
    json: string;
    logo: string;
    logoLight: string;
    logoDark: string;
    searchForm: string;
    navLang: string;
    showContact: boolean;
    showSearch: boolean;
    showLanguageNav: boolean;
    showSignIn: boolean;
    altMobileLayout: boolean;
    countryCode: string;
    activeLang: string;
    phoneNo: string;
    homeLink: string;
    hoverTextColor: string;
    loaded: boolean;
    isActive: boolean;
    jsonData: any;
    showIconsWrapper: boolean;
    getPhoneSVG: (className: string, fillColor?: string) => any;
    getSearchSVG: (className: string, fillColor?: string) => any;
    getSignInSVG: (fillColor?: string) => any;
    getAngleRightSVG: () => any;
    getLinkClass: (title: string, subtitle: string) => string;
    toggleNav: (event: PointerEvent) => void;
    switchColumn2: (event: PointerEvent) => void;
    switchColumn3: (event: PointerEvent) => void;
    backToLevel1: () => void;
    backToLevel2: () => void;
    toggleSearch: (event: PointerEvent) => void;
    toggleNavLang: (event: PointerEvent) => void;
    componentWillLoad(): Promise<void>;
    componentDidLoad(): void;
    handleResize(): void;
    render(): any;
}
