import { Host, h } from "@stencil/core";
export class CardQuote {
    constructor() {
        this.handleSlotChange = () => {
            if (this.host.classList.contains('b')) {
                let children = Array.from(this.host.children);
                let quote = children && children.find(item => item.classList.contains('quote'));
                if (children && quote) {
                    this.host.shadowRoot.querySelector('.quote-container').appendChild(quote);
                }
            }
        };
        this.type = undefined;
    }
    render() {
        return (h(Host, { key: 'a18853c7cb57967f23f312ea03d94ce1f68c5f4a', class: this.type }, h("div", { key: '9adb94a5476a58ad3d9f530609659a9502198dec', class: "quote-container" }), h("slot", { key: '1738940b0da35babef95a0325bb6bb07b33a5db6', onSlotchange: this.handleSlotChange })));
    }
    static get is() { return "cradlepoint-card-quote"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["card-quote.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["card-quote.css"]
        };
    }
    static get properties() {
        return {
            "type": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "type",
                "reflect": false
            }
        };
    }
    static get elementRef() { return "host"; }
}
//# sourceMappingURL=card-quote.js.map
