import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const cardSimpleTextCss = ":host{display:grid;place-items:center;padding:1rem}@media (min-width: 1024px){:host{padding:2rem}}@media (min-width: 1350px){:host{padding:3rem}}::slotted(*){width:100%}::slotted(:first-child){margin-top:auto;margin-bottom:0;font-size:30px;line-height:1.2;font-family:var(--cwc-font-sans-serif-semibold, 'Eina01-SemiBold');font-weight:400}::slotted(:not(:first-child)){margin-top:24px;margin-bottom:auto;font-size:24px;line-height:1.25;font-family:var(--cwc-font-sans-serif-light, 'Eina01-Light');font-weight:400}::slotted(.card-link){color:var(--cwc-color-white, #fff) !important}::slotted(.card-link:hover){color:var(--cwc-color-white, #fff) !important;text-decoration:underline}";
const CradlepointCardSimpleTextStyle0 = cardSimpleTextCss;

const CardSimpleText = /*@__PURE__*/ proxyCustomElement(class CardSimpleText extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.backgroundColor = undefined;
    }
    render() {
        return (h(Host, { key: 'c532c7dfbba74f50a946d63ca2f838ff082b4a2f', style: {
                backgroundColor: this.backgroundColor
            } }, h("slot", { key: 'c74461c9c3a41dd622dd249de592df2150293d65' })));
    }
    static get style() { return CradlepointCardSimpleTextStyle0; }
}, [1, "cradlepoint-card-simple-text", {
        "backgroundColor": [1, "background-color"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cradlepoint-card-simple-text"];
    components.forEach(tagName => { switch (tagName) {
        case "cradlepoint-card-simple-text":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CardSimpleText);
            }
            break;
    } });
}

const CradlepointCardSimpleText = CardSimpleText;
const defineCustomElement = defineCustomElement$1;

export { CradlepointCardSimpleText, defineCustomElement };

//# sourceMappingURL=cradlepoint-card-simple-text.js.map