export declare class CarouselContainer {
    host: HTMLElement;
    height: string;
    maxWidth: string;
    showArrows: boolean;
    showDots: boolean;
    insideArrows: boolean;
    insideDots: boolean;
    autoplay: boolean;
    interval: number;
    slidesContainer: HTMLElement;
    numChildren: number;
    currentPage: number;
    paginations: any[];
    ready: boolean;
    autoplayInterval: any;
    prev: () => void;
    next: () => void;
    slidesContainerTransitionEnd: () => void;
    gotoPage: () => void;
    updatePaginations: () => void;
    checkIfReady: () => Promise<void>;
    startAutoPlay: () => void;
    handleSlotChange: () => void;
    handleClick(e: {
        composedPath: () => any[];
    }): void;
    handleMouseOver(): void;
    handleMouseOut(): void;
    render(): any;
}
